#include <iostream>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    string data;
    int q;
    cin >> data >> q;

    int l, r;
    int result;
    for(int i = 0; i < q; i++) {
        cin >> l >> r;

        result = 1;
        cout << result << endl;
    }
    return 0;
}
